QGIS Application - Bug report #9161

Gridding from SAGA fails. Output layers could not be open.

2013-12-04 02:55 AM - Ramiro Romero

Status: Closed

Priority: Normal
Assignee:

Category: Processing/Core

Affected QGIS version:2.0.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 17794

Description

Hi.

I'm using Qgis 2.1.0 and SAGA 2.1.0 modules. When processing the module Gridding/inverse distance(and more) | get a message:

Oooops! The following output layers could not be open

Grid: /tmp/processing/27f2a3e9e788460791a74cd94fa004a3/USERGRID..tif

The above files could not be opened, which probably indicates that they were not correctly produced by the executed algorithm
Checking the log information might help you see why those layers were not created as expected

This algorithm requires SAGA to be run. A test to check if SAGA is correctly installed and configured in your system has been performed,

with the following result:
SAGA seems to be correctly installed and configured

The log messages are:
Algorithm Inverse distance weighted starting...

grid_gridding "Inverse Distance Weighted" -SHAPES "/sclim/acg/indices_15082013_UTM.shp" -FIELD "RIESGO" -TARGET 0
-WEIGHTING 0 -WEIGHT_POWER 2 -WEIGHT_BANDWIDTH 1 -SEARCH_RANGE 1 -SEARCH_RADIUS 100 -SEARCH_DIRECTION
0 -SEARCH_POINTS_ALL 0 -SEARCH_POINTS_MAX 10 -USER_XMIN -88695.1942309 -USER_XMAX 1161424.80192
-USER_YMIN 3929805.96327 -USER_YMAX 4896687.50859 -USER_SIZE 2500 -USER_GRID "/tmp/processing/output.tif.sgrd"
io_gdal 1 -GRIDS "/tmp/processing/output.tif.sgrd" -FORMAT 1 -TYPE 0 -FILE "/tmp/processing/output.tif"
library path: /usr/local/saga/2.1.0/lib/saga/libgrid_gridding.so
library name: Grid - Gridding

module name : Inverse Distance Weighted

author : O.Conrad (c) 2003

Load shapes: /sclim/acg/indices_15082013_UTM.shp...

Parameters
Points: indices_15082013_UTM

Attribute: RIESGO

Target Grid: user defined

Search Range: global

Maximum Search Distance: 100.000000
Number of Points: maximum number of nearest points
Maximum Number of Points: 10

Search Direction: all directions

Distance Weighting: inverse distance to a power
Power: 2.000000

Bandwidth: 1.000000

Warning 1: libtiff version mismatch : You're linking against libtiff 3.X, but GDAL has been compiled against libtiff >= 4.0.0
ERROR 1: tiffSeekProc:Invalid argument

ERROR 1:_tiffSeekProc:Invalid argument

ERROR 1:_tiffSeekProc:Invalid argument

ERROR 1:_tiffSeekProc:Invalid argument

ERROR 1:_tiffSeekProc:Invalid argument

ERROR 1: /tmp/processing/output.tif:Error writing data for field "StripOffsets”

ERROR 1: /tmp/processing/output.tif, band 1: IReadBlock failed at X offset 0, Y offset 1

ERROR 1: GetBlockRef failed at X block offset 0, Y block offset 1
library path: /usr/local/saga/2.1.0/lib/saga/libio_gdal.so
library name: Import/Export - GDAL/OGR

module name : GDAL: Export Raster

author : O.Conrad (c) 2007

Load grid: /tmp/processing/output.tif.sgrd...

Parameters

Grid system: 2500; 501x 388y; -88695.194231x 3929805.963270y
Grid(s): 1 object (output.tif)

File: /timp/processing/output.tif

Format: GeoTIFF

Data Type: match input data

Set Custom NoData: no

NoData Value: 0.000000

Creation Options:

Band 1
Converting outputs

Loading resulting layers

Algorithm Inverse distance weighted finished

HIHHR R R R R R S R

This is with a Linux machine. | have the same versions in Windows and | don't have any problems to run the SAGA modules.

Thanks

Ramiro

History

#1 - 2013-12-04 03:20 AM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Open to Closed

- Category set to 94

you have an issue with your Saga installation

Warning 1: libtiff version mismatch : You're linking against libtiff 3.X, but GDAL has been compiled against libtiff >= 4.0.0
ERROR 1: tiffSeekProc:Invalid argument

ERROR 1: _tiffSeekProc:Invalid argument

ERROR 1: _tiffSeekProc:Invalid argument

ERROR 1: _tiffSeekProc:Invalid argument

ERROR 1: _tiffSeekProc:Invalid argument

ERROR 1: /tmp/processing/output.tif:Error writing data for field "StripOffsets"

ERROR 1: /tmp/processing/output.tif, band 1: IReadBlock failed at X offset 0, Y offset 1

ERROR 1: GetBlockRef failed at X block offset 0, Y block offset 1

#2 - 2015-06-07 04:30 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
